| ioPAC RTU Controllers C/C++ Sample Code Programming Guide

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- p
- r
- s
- t
- u
- v
- y

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - a -

- accepted_connections : Modbus_TCP_Master_Connection_Info
- addr : _MODBUS_TAB
- ai_channels : IO_Info
- ao_channels : IO_Info
- autoCheckEnable : Check_Info

### - b -

- baudrate : TTY_PARAM

### - c -

- cobID : CAN_Emcy_Message
- condition : TAG_EVENT_CONDITION_T
- counter_channels : IO_Info

### - d -

- databits : TTY_PARAM
- dataType : TAG_INFO_T
- day : Gps_Time , Timestamp
- di_channels : IO_Info
- dio_channels : IO_Info
- do_channels : IO_Info

### - e -

- emergencyErrorCode : CAN_Emcy_Message
- enable : swtd_setting
- errorRegister : CAN_Emcy_Message

### - f -

- fast_ai_channels : IO_Info
- fix : Gps_Data
- flowCtrl : TTY_PARAM
- fw_version : Module_Info

### - g -

- group : _MODBUS_TAB

### - h -

- hour : Gps_Time , Timestamp
- hsec : Gps_Time
- hw_version : Module_Info
- hysteresis : TAG_EVENT_CONDITION_T

### - i -

- io_info : Module_Info
- ip : Modbus_TCP_Master_Connection_Info

### - l -

- lat : Gps_Data
- lon : Gps_Data

### - m -

- manufacturerSpecificErrorField : CAN_Emcy_Message
- min : Gps_Time , Timestamp
- mode : TTY_PARAM
- mon : Gps_Time , Timestamp
- msec : Timestamp

### - p -

- parity : TTY_PARAM
- pfnModRead : _MODBUS_MAP
- pfnModWrite : _MODBUS_MAP
- pingHostname : Check_Info
- pingIntervalS : Check_Info
- pingMaxFail : Check_Info
- port : Modbus_TCP_Master_Connection_Info
- product_id : Module_Info
- pulse_channels : IO_Info

### - r -

- reg : _MODBUS_MAP , _MODBUS_TAB
- relay_channels : IO_Info
- resId : TAG_INFO_T
- rtd_channels : IO_Info

### - s -

- satInUse : Gps_Data
- satInView : Gps_Data
- sec : Gps_Time , Timestamp
- serial_number : Module_Info
- slave_addr : _MODBUS_MAP
- slave_group : _MODBUS_MAP
- slot : Module_Info
- stopbit : TTY_PARAM
- strTagDescription : TagInfo
- strTagName : TagInfo
- strTagUnit : TagInfo

### - t -

- tagAccessRight : TagInfo
- tagCallBack : TagInfo
- tagId : TAG_INFO_T
- tagName : TAG_INFO_T
- tagQuality : TagInfo
- tagSize : TAG_INFO_T
- tagValue : TagInfo
- tagValueType : TagInfo
- tc_channels : IO_Info
- threshold : TAG_EVENT_CONDITION_T
- time : Gps_Data , swtd_setting

### - u -

- unit_id : Module_Info

### - v -

- vendor_id : Module_Info

### - y -

- year : Gps_Time , Timestamp